Author: Cesare Tirabassi <norsetto@ubuntu.com>
Description: Fix long options list of arguments.
Bugs: #487233, #487236, LP #241538

--- cpulimit-1.1.orig/cpulimit.c
+++ cpulimit-1.1/cpulimit.c
@@ -360,13 +360,13 @@
 	const char* short_options="p:e:P:l:vzh";
 	/* An array describing valid long options. */
 	const struct option long_options[] = {
-		{ "pid", 0, NULL, 'p' },
-		{ "exe", 1, NULL, 'e' },
-		{ "path", 0, NULL, 'P' },
-		{ "limit", 0, NULL, 'l' },
-		{ "verbose", 0, NULL, 'v' },
-		{ "lazy", 0, NULL, 'z' },
-		{ "help", 0, NULL, 'h' },
+		{ "pid", required_argument, NULL, 'p' },
+		{ "exe", required_argument, NULL, 'e' },
+		{ "path", required_argument, NULL, 'P' },
+		{ "limit", required_argument, NULL, 'l' },
+		{ "verbose", no_argument, NULL, 'v' },
+		{ "lazy", no_argument, NULL, 'z' },
+		{ "help", no_argument, NULL, 'h' },
 		{ NULL, 0, NULL, 0 }
 	};
 	//argument variables
